package config

import (
	"testing"
)

// Verify that the sample config in config/config.json can be read to a config struct
// and passes the validation
func TestSampleConfig(t *testing.T) {
	var conf Config
	err := ReadConfigFile("config.json", &conf)
	if err != nil {
		t.Errorf("Unable to use sample config file: %s", err)
	}
}
